@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.
@@REM
@@REM  
@@REM
@echo off

setlocal

echo.
echo WebSphere Monitor 6.2 Portal IWidget Wrapper Install and Configuration
echo.


GOTO Variables
@REM #######################################################
@REM #                                                     #
@REM #  Usage                                              #
@REM #                                                     #
@REM #######################################################
:USAGE
  echo.
  echo  iwidget -w ^<WAS home^> -p ^<property filename^> -h 
  echo.
  echo  where:  
  echo.
  echo   -w  ^<WAS home^>:
  echo       Portal's WAS install location
  echo.
  echo   -p  ^<property filename^>:
  echo       full path and name to property file
  echo.
  GOTO DONE

@REM #######################################################
@REM #                                                     #
@REM # Variables                                           #
@REM #                                                     #
@REM #######################################################
:Variables

set wasHome=""
set propFile=""


@REM #######################################################
@REM #                                                     #
@REM # Read command line options                           #
@REM #                                                     #
@REM #######################################################
:Loop
IF "%1" == "" GOTO Continue
IF "%1" == "-p" (
  set propFile=%2
  GOTO Forward
)
IF "%1" == "-w" (
  set wasHome=%2
  GOTO Forward
)
IF "%1" == "-h" (
  GOTO USAGE
)

:Forward
shift /1
shift /1
GOTO Loop
:Continue

IF %wasHome% == "" (
  GOTO USAGE
)

IF %propFile% == "" (
  GOTO USAGE
)

%wasHome%/bin/ws_ant -DWAS_HOME=%wasHome% -Dprop.filename=%propFile% -f configure_iwidget_portlets.ant


:DONE
@REM echo "Done"
endlocal
